# Appeals Appeals ## Gets all of the appeals in the system. - [GET /appeals/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/listappeals.md): This method will scan all appeals and and return them to the caller. ## Creates a new appeal record that does not already exist. - [POST /appeals/{tenantId}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/createappeal.md): This method will auto-generate an ID and create a new appeal. If an ID is specified for the appeal, an error will be thrown. ## Execute Batch Operations - [POST /appeals/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations ## Returns a list of records with the specified campaign_id - [GET /appeals/{tenantId}/campaign/{campaign_id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/listappealsbycampaignid.md): Returns a list of records with the specified campaign_id ## Searches for appeals using predefined parameters - [POST /appeals/{tenantId}/search](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/searchforappeals.md): Searches for appeals using predefined parameters ## Returns a appeal from the system by its ID. - [DELETE /appeals/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/deleteappeal.md): This method will delete a appeal with the specified ID. ## Returns a appeal from the system by its ID. - [GET /appeals/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/getappeal.md): This method will look up a appeal by the specified ID and return it back. ## Partially updates a appeal with the specified ID. - [PATCH /appeals/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/patchappeal.md): This method will patch an existing appeal with the specified ID, using the HTTP PATCH specification. ## Updates a appeal with the specified ID. - [PUT /appeals/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/fundraising/fundraising-v1/appeals/updateappeal.md): This method will update an existing appeal with the specified ID.